Konnektör detaylı bilgisini getir
curl --request GET \
--url https://vpos-sandbox.payven.com.tr/api/v1/connectors/{id}/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://vpos-sandbox.payven.com.tr/api/v1/connectors/{id}/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vpos-sandbox.payven.com.tr/api/v1/connectors/{id}/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connector": {
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>",
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z",
"configuration_count": 123
},
"health": {
"rollup": {
"status": "<string>",
"success_rate": 123,
"sample_size": 123,
"success_count": 123,
"failure_count": 123,
"last_transaction_at": "2023-11-07T05:31:56Z",
"last_calculated_at": "2023-11-07T05:31:56Z",
"sparkline": [
123
],
"last_error": {
"message": "<string>",
"code": "<string>",
"at": "2023-11-07T05:31:56Z"
}
},
"per_configuration": [
{
"status": "<string>",
"connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"success_rate": 123,
"sample_size": 123,
"success_count": 123,
"failure_count": 123,
"last_transaction_at": "2023-11-07T05:31:56Z",
"last_calculated_at": "2023-11-07T05:31:56Z",
"sparkline": [
123
],
"last_error": {
"message": "<string>",
"code": "<string>",
"at": "2023-11-07T05:31:56Z"
}
}
]
},
"configurations": [
{
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"connector_code": "<string>",
"name": "<string>",
"api_key": "<string>",
"secret_key": "<string>",
"username": "<string>",
"password": "<string>",
"terminal_id": "<string>",
"store_id": "<string>",
"api_endpoint_url": "<string>",
"three_d_secure_endpoint_url": "<string>",
"extra_credentials": "<string>",
"bank_code": "<string>",
"priority": 123,
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z"
}
],
"error_codes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_code": "<string>",
"provider_error_code": "<string>",
"category": "<string>",
"turkish_message": "<string>",
"english_message": "<string>",
"internal_description": "<string>",
"should_retry": true,
"http_status_suggestion": 123,
"mapped_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapped_to_code": "<string>"
}
],
"changelog": [
{
"id": "<string>",
"actor": "<string>",
"action": "<string>",
"entity_kind": "<string>",
"at": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "<string>",
"diff": [
{
"field": "<string>",
"before": "<string>",
"after": "<string>"
}
]
}
]
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}Connectors
Konnektör detaylı bilgisini getir
GET
/
api
/
v1
/
connectors
/
{id}
/
detail
Konnektör detaylı bilgisini getir
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Path Parameters
⌘I